API Documentation

Update webhook

Description

Update an existing webhook. Only supply the properties you want to change.

Request format

curl -X POST https://kanbanflow.com/api/v1/webhooks/<WEBHOOK_ID> -H "Content-type: application/json" -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1>, "<PROPERTY_2>": <PROPERTY_VALUE_2>, ... "<PROPERTY_N>": <PROPERTY_VALUE_N> }'

Example request

curl -X POST https://kanbanflow.com/api/v1/webhooks/W5hfpsT5 -H "Content-type: application/json" -d '{ "name": "Task changed hook", "events": [{ "name": "taskChanged" }] }'

Valid properties

PropertyTypeComment
nameStringThe name of the webhook.
callbackUrlStringMust return status code 200 on an HTTP HEAD request. Only supports http(s):// protocols.
eventsArrayValid event names: taskCreated, taskChanged, taskDeleted, taskCommentCreated, taskCommentChanged, taskCommentDeleted. At least one must be given.
Example: [{ "name": "taskCreated" }, { "name": "taskChanged" }, { "name": "taskCommentCreated" }]
filterObjectFilter on a specific column, swimlane and/or changes to certain properties.
Examples: { "columnId": "C9LIn5sEEpqT" }, { "swimlaneId": "SqEB6zxG41e2" }, { "changedProperties": ["color", "totalSecondsSpent"] }